aboutsummaryrefslogtreecommitdiffstats
path: root/app/test/verify.sh
diff options
context:
space:
mode:
authoryayogev <yaronyogev@gmail.com>2018-02-07 09:37:22 +0200
committeryayogev <yaronyogev@gmail.com>2018-02-07 10:20:28 +0200
commit100add41cfe2b987524b190c1c92771a3c4f1d5f (patch)
treede16f8fa64fca3d487f86f0a4dc0aab6a937aac4 /app/test/verify.sh
parent63d84c1d2c950f50e45a5638afb4952b2fa9d46d (diff)
bug fix: verify.sh returned value based on last command only
Change-Id: Icf701eee60da7c27c62b9a2871c4f9896b8f334e Signed-off-by: yayogev <yaronyogev@gmail.com>
Diffstat (limited to 'app/test/verify.sh')
-rwxr-xr-xapp/test/verify.sh14
1 files changed, 4 insertions, 10 deletions
diff --git a/app/test/verify.sh b/app/test/verify.sh
index 684195e..bda298c 100755
--- a/app/test/verify.sh
+++ b/app/test/verify.sh
@@ -7,16 +7,10 @@
# are made available under the terms of the Apache License, Version 2.0 #
# which accompanies this distribution, and is available at #
# http://www.apache.org/licenses/LICENSE-2.0 #
-###############################################################################
-#set -o errexit
-#set -o nounset
-#set -o pipefail
-
-#sudo yum install -y https://centos7.iuscommunity.org/ius-release.rpm
-#sudo yum -y install python35
-#sudo pip install virtualenv
-#virtualenv -p $(which python3.5) $WORKSPACE/venv
-#. $WORKSPACE/venv/bin/activate
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
PYTHONPATH=$PWD/app python3 -m unittest discover -s app/test/api
PYTHONPATH=$PWD/app python3 -m unittest discover -s app/test/event_based_scan